﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/RSMasterPage.master" CodeBehind="AdminDashboard.aspx.vb" Inherits="RSWebApp.AdminDashboard" %>

<%@ Register Assembly="DevExpress.Web.ASPxGauges.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxGauges" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxGauges.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxGauges.Gauges.Circular" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxGauges.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxGauges.Gauges" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxGauges.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxGauges.Gauges.Linear" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxGauges.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxGauges.Gauges.State" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxGauges.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxGauges.Gauges.Digital" TagPrefix="dx" %>
<%@ Register assembly="DevExpress.XtraCharts.v19.2.Web, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts.Web" tagprefix="dxchartsui" %>
<%@ Register assembly="DevExpress.XtraCharts.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts" tagprefix="cc1" %>
<%@ Register assembly="DevExpress.Web.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web" tagprefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
	<script type="text/javascript">
        var isDirty;
        function PerformCallbackCore() {
            var gauge = window["gauge"];
            isDirty = gauge.InCallback();
            if (!isDirty)
                gauge.PerformCallback();
        }
        function OnChanged() {
            PerformCallbackCore();
        }
        function OnEndCallback() {
            if (isDirty)
                window.setTimeout(PerformCallbackCore, 0);
        }
	</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
	<table width="100%">
        <tr>
            <td style="width:50%" align="center">
                <div class="EditPageTitle">Documents Run Today:</div>
                <dx:ASPxGaugeControl ID="gaugeReportsRun" runat="server" BackColor="White" Height="260px" LayoutInterval="6" Value="80" Width="260px">
					<Gauges>
                        <dx:CircularGauge Bounds="6, 6, 248, 248" Name="circularGauge3">
                            <scales>
                                <dx:ArcScaleComponent AcceptOrder="0" AppearanceMajorTickmark-BorderBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:White&quot;/&gt;" AppearanceMajorTickmark-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:White&quot;/&gt;" AppearanceMinorTickmark-BorderBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:White&quot;/&gt;" AppearanceMinorTickmark-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:White&quot;/&gt;" AppearanceTickmarkText-Font="Tahoma, 10pt" AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" Center="125, 125" EndAngle="60" MajorTickmark-FormatString="{0:F0}" MajorTickmark-ShapeOffset="-1" MajorTickmark-ShapeType="Circular_Style18_1" MajorTickmark-TextOffset="-15" MajorTickmark-TextOrientation="LeftToRight" MaxValue="500" MinorTickCount="4" MinorTickmark-ShapeType="Circular_Style18_2" Name="scale1" RadiusX="88" RadiusY="88" StartAngle="-240" Value="80">
                                    <ranges>
                                        <dx:ArcScaleRangeWeb AppearanceRange-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:#669F2F&quot;/&gt;" EndThickness="4" EndValue="200" Name="Range0" ShapeOffset="10" StartThickness="4" />
                                        <dx:ArcScaleRangeWeb AppearanceRange-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:#F5C649&quot;/&gt;" EndThickness="4" EndValue="350" Name="Range1" ShapeOffset="10" StartThickness="4" StartValue="201" />
                                        <dx:ArcScaleRangeWeb AppearanceRange-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:#CF5144&quot;/&gt;" EndThickness="4" EndValue="500" Name="Range2" ShapeOffset="10" StartThickness="4" StartValue="351" />
                                    </ranges>
                                </dx:ArcScaleComponent>
                            </scales>
                            <backgroundlayers>
                                <dx:ArcScaleBackgroundLayerComponent AcceptOrder="-1000" ArcScale="" Name="bg" ScaleID="scale1" ShapeType="CircularFull_Style18" ZOrder="1000" />
                            </backgroundlayers>
                            <needles>
                                <dx:ArcScaleNeedleComponent AcceptOrder="50" ArcScale="" EndOffset="7" Name="needle" ScaleID="scale1" ShapeType="CircularFull_Style18" StartOffset="-7" ZOrder="-50" />
                            </needles>
                        </dx:CircularGauge>
                    </Gauges>
					<LayoutPadding All="6" Left="6" Top="6" Right="6" Bottom="6"></LayoutPadding>
				</dx:ASPxGaugeControl>
            </td>
            <td style="width: 50%" align="center">
				<div class="EditPageTitle">Scheduled Jobs Run Today:</div>
            	<dx:ASPxGaugeControl ID="gaugeScheduledJobs" runat="server" BackColor="White" Height="260px" LayoutInterval="6" Value="80" Width="260px">
					<Gauges>
                        <dx:CircularGauge Bounds="6, 6, 248, 248" Name="circularGauge3">
                            <scales>
                                <dx:ArcScaleComponent AcceptOrder="0" AppearanceMajorTickmark-BorderBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:White&quot;/&gt;" AppearanceMajorTickmark-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:White&quot;/&gt;" AppearanceMinorTickmark-BorderBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:White&quot;/&gt;" AppearanceMinorTickmark-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:White&quot;/&gt;" AppearanceTickmarkText-Font="Tahoma, 10pt" AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" Center="125, 125" EndAngle="60" MajorTickmark-FormatString="{0:F0}" MajorTickmark-ShapeOffset="-1" MajorTickmark-ShapeType="Circular_Style18_1" MajorTickmark-TextOffset="-15" MajorTickmark-TextOrientation="LeftToRight" MaxValue="500" MinorTickCount="4" MinorTickmark-ShapeType="Circular_Style18_2" Name="scale1" RadiusX="88" RadiusY="88" StartAngle="-240" Value="80">
                                    <ranges>
                                        <dx:ArcScaleRangeWeb AppearanceRange-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:#669F2F&quot;/&gt;" EndThickness="4" EndValue="200" Name="Range0" ShapeOffset="10" StartThickness="4" />
                                        <dx:ArcScaleRangeWeb AppearanceRange-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:#F5C649&quot;/&gt;" EndThickness="4" EndValue="350" Name="Range1" ShapeOffset="10" StartThickness="4" StartValue="201" />
                                        <dx:ArcScaleRangeWeb AppearanceRange-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:#CF5144&quot;/&gt;" EndThickness="4" EndValue="500" Name="Range2" ShapeOffset="10" StartThickness="4" StartValue="351" />
                                    </ranges>
                                </dx:ArcScaleComponent>
                            </scales>
                            <backgroundlayers>
                                <dx:ArcScaleBackgroundLayerComponent AcceptOrder="-1000" ArcScale="" Name="bg" ScaleID="scale1" ShapeType="CircularFull_Style18" ZOrder="1000" />
                            </backgroundlayers>
                            <needles>
                                <dx:ArcScaleNeedleComponent AcceptOrder="50" ArcScale="" EndOffset="7" Name="needle" ScaleID="scale1" ShapeType="CircularFull_Style18" StartOffset="-7" ZOrder="-50" />
                            </needles>
                        </dx:CircularGauge>
                    </Gauges>
					<LayoutPadding All="6" Left="6" Top="6" Right="6" Bottom="6"></LayoutPadding>
				</dx:ASPxGaugeControl>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <div class="EditPageTitle">Most Popular Documents:</div>
                <dx:ASPxGridView ID="gridDocuments" runat="server" AutoGenerateColumns="False" Width="100%" KeyFieldName="DocumentID" EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True">
                    <SettingsPager>
                        <PageSizeItemSettings ShowAllItem="True" Visible="True">
                        </PageSizeItemSettings>
                    </SettingsPager>
                    <Settings ShowFilterRow="True" />
                    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                    <SettingsSearchPanel Visible="True" />
                    <Columns>
                        <dx:GridViewDataTextColumn Caption="Title" FieldName="Title" ReadOnly="True" VisibleIndex="1">
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataTextColumn Caption="Document Type" FieldName="ReportType" ReadOnly="True" VisibleIndex="2">
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataTextColumn Caption="Run Count" FieldName="CountOfRunDate" ReadOnly="True" VisibleIndex="3">
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataDateColumn Caption="Last Run Date" FieldName="MaxOfRunDate" ReadOnly="True" VisibleIndex="4">
							<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
							</PropertiesDateEdit>
						</dx:GridViewDataDateColumn>
                        <dx:GridViewCommandColumn ButtonType="Image" Caption="Edit" VisibleIndex="5" Name="Edit" Width="50px">
                            <CustomButtons>
                                <dx:GridViewCommandColumnCustomButton ID="btnEditDoc" Text="Edit" Visibility="AllDataRows">
									<Image ToolTip="Click to edit this document" Url="~/Images/Edit.gif" />
                                </dx:GridViewCommandColumnCustomButton>
                            </CustomButtons>
							<HeaderStyle HorizontalAlign="Center" />
                        </dx:GridViewCommandColumn>
						<dx:GridViewCommandColumn ButtonType="Image" Caption="GoTo" VisibleIndex="6" Name="GoTo" Width="50px">
							<CustomButtons>
								<dx:GridViewCommandColumnCustomButton ID="btnGoTo" Text="GoTo" Visibility="AllDataRows">
									<Image ToolTip="Click to move to this document on the home page" Url="~/Images/Move.gif" />
								</dx:GridViewCommandColumnCustomButton>
							</CustomButtons>
							<HeaderStyle HorizontalAlign="Center" />
						</dx:GridViewCommandColumn>
					</Columns>
				</dx:ASPxGridView>
            </td>
        </tr>
		<tr>
			<td colspan="2">
				<div class="EditPageTitle">Scheduled Jobs Run Today:<br />
					<asp:ObjectDataSource ID="dataJobsRunToday" runat="server" SelectMethod="GetScheduleJobsRunToday" TypeName="Ripplestone.BLL.ScheduleHistory"></asp:ObjectDataSource>
					<dx:ASPxGridView ID="ASPxGridView2" runat="server" AutoGenerateColumns="False" DataSourceID="dataJobsRunToday" KeyFieldName="ID" Width="100%">
                        <SettingsPager>
                            <PageSizeItemSettings ShowAllItem="True" Visible="True">
                            </PageSizeItemSettings>
                        </SettingsPager>
                        <Settings ShowFilterRow="True" ShowGroupPanel="True" />
						<SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
						<SettingsSearchPanel Visible="True" />
						<Columns>
							<dx:GridViewCommandColumn ShowClearFilterButton="True" VisibleIndex="0">
							</dx:GridViewCommandColumn>
							<dx:GridViewDataTextColumn FieldName="JobID" VisibleIndex="1" ReadOnly="True">
							</dx:GridViewDataTextColumn>
							<dx:GridViewDataTextColumn FieldName="FileType" VisibleIndex="4" ReadOnly="True">
							</dx:GridViewDataTextColumn>
							<dx:GridViewDataTextColumn FieldName="Status" VisibleIndex="5" ReadOnly="True">
							</dx:GridViewDataTextColumn>
							<dx:GridViewDataDateColumn FieldName="StartTime" VisibleIndex="6" ReadOnly="True">
								<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
								</PropertiesDateEdit>
                                <CellStyle Wrap="False">
                                </CellStyle>
                            </dx:GridViewDataDateColumn>
							<dx:GridViewDataDateColumn FieldName="EndTime" VisibleIndex="7" ReadOnly="True">
								<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
								</PropertiesDateEdit>
                                <CellStyle Wrap="False">
                                </CellStyle>
                            </dx:GridViewDataDateColumn>
							<dx:GridViewDataDateColumn FieldName="ScheduledStartTime" VisibleIndex="8" ReadOnly="True">
								<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
								</PropertiesDateEdit>
                                <CellStyle Wrap="False">
                                </CellStyle>
                            </dx:GridViewDataDateColumn>
							<dx:GridViewDataTextColumn FieldName="ExecutionTime" VisibleIndex="9" ReadOnly="True">
							</dx:GridViewDataTextColumn>
							<dx:GridViewDataTextColumn FieldName="JobDescription" VisibleIndex="2" ReadOnly="True">
							</dx:GridViewDataTextColumn>
						</Columns>
					</dx:ASPxGridView>
				</div>
			</td>
		</tr>
        <tr>
            <td colspan="2">
				<asp:HiddenField ID="hideCurrentUserID" runat="server" />
				<asp:ObjectDataSource ID="dataUsers" runat="server" DeleteMethod="DeleteUserByID" SelectMethod="GetAllUsers" TypeName="Ripplestone.BLL.User">
					<DeleteParameters>
						<asp:Parameter Name="ID" Type="Int32" />
					</DeleteParameters>
					<SelectParameters>
						<asp:ControlParameter ControlID="hideCurrentUserID" DefaultValue="0" Name="ID" PropertyName="Value" Type="Int32" />
					</SelectParameters>
				</asp:ObjectDataSource>
                <div class="EditPageTitle">Users View:</div>
                <dx:ASPxGridView ID="gridUsers" runat="server" AutoGenerateColumns="False" Width="100%" KeyFieldName="ID" EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True" DataSourceID="dataUsers">
                    <SettingsPager>
                        <PageSizeItemSettings ShowAllItem="True" Visible="True">
                        </PageSizeItemSettings>
                    </SettingsPager>
                    <Settings ShowFilterRow="True" ShowGroupPanel="True" />
                    <SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
                    <SettingsSearchPanel Visible="True" />
                    <Columns>
                        <dx:GridViewDataTextColumn Caption="User" FieldName="UserLogin" ReadOnly="True" VisibleIndex="0">
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataTextColumn Caption="First Name" FieldName="FirstName" ReadOnly="True" VisibleIndex="1">
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataTextColumn Caption="Last Name" FieldName="LastName" ReadOnly="True" VisibleIndex="2">
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataDateColumn Caption="Last Login" FieldName="LastLogon" ReadOnly="True" VisibleIndex="3">
							<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
							</PropertiesDateEdit>
						</dx:GridViewDataDateColumn>
                        <dx:GridViewDataTextColumn Caption="Login Count" FieldName="LogonCount" ReadOnly="True" VisibleIndex="4" Width="50px">
                        	<HeaderStyle HorizontalAlign="Center" Wrap="True" />
							<CellStyle HorizontalAlign="Center">
							</CellStyle>
                        </dx:GridViewDataTextColumn>
						<dx:GridViewDataCheckColumn Caption="Windows Security" FieldName="WindowsUserID" VisibleIndex="5" Width="50px">
							<HeaderStyle HorizontalAlign="Center" Wrap="True" />
						</dx:GridViewDataCheckColumn>
						<dx:GridViewDataCheckColumn Caption="Active" FieldName="Active" VisibleIndex="6" Width="50px">
							<HeaderStyle HorizontalAlign="Center" />
						</dx:GridViewDataCheckColumn>
						<dx:GridViewCommandColumn ButtonType="Image" Caption="Edit" VisibleIndex="7" Name="Edit" Width="50px">
                            <CustomButtons>
                                <dx:GridViewCommandColumnCustomButton ID="btnEditUser" Text="Edit" Visibility="AllDataRows">
									<Image ToolTip="Click to edit this user" Url="~/Images/Edit.gif" />
								</dx:GridViewCommandColumnCustomButton>
                            </CustomButtons>
							<HeaderStyle HorizontalAlign="Center" />
                        </dx:GridViewCommandColumn>
						<dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="8" ButtonType="Image" Caption="Delete" Name="Delete" AllowDragDrop="False" Width="50px">
							<HeaderStyle HorizontalAlign="Center" />
							<CellStyle>
								<BackgroundImage Repeat="NoRepeat" />
							</CellStyle>
						</dx:GridViewCommandColumn>
                    </Columns>
					<SettingsCommandButton>
						<DeleteButton>
							<Image ToolTip="Delete this user" Url="~/Images/Delete.gif" />
						</DeleteButton>
					</SettingsCommandButton>
					<SettingsBehavior ConfirmDelete="True" />
					<Styles AdaptiveDetailButtonWidth="22"></Styles>
                </dx:ASPxGridView>
            </td>
        </tr>
		<tr>
			<td colspan="2">
				<asp:ObjectDataSource ID="dataLoggedInUsers" runat="server" DeleteMethod="DeleteLoggedInUserBySessionID" SelectMethod="GetLoggedInUsers" TypeName="Ripplestone.BLL.LoggedInUsers">
					<DeleteParameters>
						<asp:Parameter Name="sessionID" Type="String" />
					</DeleteParameters>
				</asp:ObjectDataSource>

				<div class="EditPageTitle">Users Online:</div>
				<dx:ASPxGridView ID="ASPxGridView1" runat="server" AutoGenerateColumns="False" DataSourceID="dataLoggedInUsers" 
					KeyFieldName="SessionID" Width="75%" EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True">
					<Columns>
						<dx:GridViewDataTextColumn Caption="User ID" FieldName="UserID" VisibleIndex="0">
						</dx:GridViewDataTextColumn>
						<dx:GridViewDataTextColumn Caption="Session ID" FieldName="SessionID" VisibleIndex="1">
						</dx:GridViewDataTextColumn>
						<dx:GridViewDataDateColumn Caption="Logged in at" FieldName="StartDate" VisibleIndex="2">
							<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
							</PropertiesDateEdit>
						</dx:GridViewDataDateColumn>
						<dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="3" ButtonType="Button" Caption="Log Out">
						</dx:GridViewCommandColumn>
					</Columns>
					<SettingsBehavior ConfirmDelete="True" />
					<SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
					<SettingsSearchPanel Visible="True" />
				</dx:ASPxGridView>
			</td>
		</tr>
    </table>

</asp:Content>
