﻿<%@ Page Title="Schedule Job Queue" Language="vb" AutoEventWireup="false" MasterPageFile="~/RSMasterPage.master" CodeBehind="ScheduleJobQueue.aspx.vb" Inherits="RSWebApp.ScheduleJobQueue" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
	<div class="EditPageTitle">
		Queued Jobs:
	</div>
	<div class="topButtons">
		<asp:ObjectDataSource ID="dataQueuedReports" runat="server" SelectMethod="GetScheduleJobQueue" TypeName="Ripplestone.BLL.ScheduleHistory" DeleteMethod="DeleteScheduleHistoryByHistoryID" >
			<DeleteParameters>
				<asp:Parameter Name="historyID" Type="String" />
			</DeleteParameters>
		</asp:ObjectDataSource>
		Other Views&nbsp;
		<asp:DropDownList ID="ddlViews" runat="server" Width="100px" AutoPostBack="False" Height="22px">
			<asp:ListItem Selected="True" Value="1">Failed Jobs</asp:ListItem>
			<asp:ListItem Value="2">Last Jobs Run</asp:ListItem>
			<asp:ListItem Value="3">Schedule Log</asp:ListItem>
		</asp:DropDownList>&nbsp;
		<dx:ASPxButton ID="btnOpenView" runat="server" Text="Open View"></dx:ASPxButton>
		&nbsp;
		<dx:ASPxButton ID="btnReturnTop" runat="server" Text="Return"></dx:ASPxButton>
	</div>
	<div class="grid">
		<dx:ASPxGridView ID="ASPxGridView1" runat="server" AutoGenerateColumns="False" DataSourceID="dataQueuedReports" 
			KeyFieldName="HistoryID" Width="100%" EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True">
			<Columns>
				<dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="9" ButtonType="Button">
				</dx:GridViewCommandColumn>
				<dx:GridViewDataTextColumn FieldName="JobID" VisibleIndex="1">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn Caption="Job Status" FieldName="Status" VisibleIndex="5">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataDateColumn FieldName="StartTime" VisibleIndex="6">
                    <PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
                    </PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
				<dx:GridViewDataDateColumn FieldName="ScheduledStartTime" VisibleIndex="8">
                    <PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
                    </PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
				<dx:GridViewDataTextColumn FieldName="JobDescription" VisibleIndex="2">
				</dx:GridViewDataTextColumn>
			</Columns>
			<SettingsBehavior ConfirmDelete="True" />
			<SettingsPager>
				<PageSizeItemSettings ShowAllItem="True" Visible="True">
				</PageSizeItemSettings>
			</SettingsPager>
			<Settings ShowFilterRow="True" ShowGroupPanel="True" />
			<SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
			<SettingsSearchPanel Visible="True" ShowClearButton="True" />
		</dx:ASPxGridView>
	</div>
	<div class="bottomButtons">
		<dx:ASPxButton ID="btnReturnBottom" runat="server" Text="Return"></dx:ASPxButton>
	</div>
</asp:Content>
